package com.atmob.map_amap_android.bean;

import com.google.gson.annotations.SerializedName;

import java.util.Objects;

public class Popup {

    @SerializedName("title")
    private String title;

    @SerializedName("desc")
    private String desc;


    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }


    @Override
    public String toString() {
        return "Popup{" +
                "title='" + title + '\'' +
                ", desc='" + desc + '\'' +
                '}';
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        Popup popup = (Popup) o;

        return Objects.equals(title, popup.title) &&
                Objects.equals(desc, popup.desc);
    }

    @Override
    public int hashCode() {
        return Objects.hash(title, desc);
    }
}
